umbrello: GeneralOptionPage Class Reference

umbrello 2.39.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Signals | Public Member Functions | Protected Slots | Protected Member Functions | Protected Attributes | List of all members
GeneralOptionPage Class Reference

`#include <generaloptionpage.h>`

Inheritance diagram for GeneralOptionPage:

## Classes
struct | GeneralWidgets

## Signals
void | applyClicked ()

## Public Member Functions
| GeneralOptionPage (QWidget *parent=0)
virtual | ~GeneralOptionPage ()
void | setDefaults ()
void | apply ()
Public Member Functions inherited from DialogPageBase
| DialogPageBase (QWidget *parent)
virtual | ~DialogPageBase ()
virtual bool | isModified ()

## Protected Slots
void | slotAutosaveCBClicked ()

## Protected Member Functions
void | insertDiagram (const QString &type, int index)
void | insertLayoutType (const QString &type, int index)
Protected Member Functions inherited from DialogPageBase
virtual void | keyPressEvent (QKeyEvent *event)

## Protected Attributes
struct GeneralOptionPage::GeneralWidgets | m_GeneralWidgets
Protected Attributes inherited from DialogPageBase
bool | m_isModified

## Detailed Description

A dialog page to display auto layouts options

Author
  Ralf Habacker ralf..nosp@m.haba.nosp@m.cker@.nosp@m.free.nosp@m.net.d.nosp@m.e

Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ GeneralOptionPage()

GeneralOptionPage::GeneralOptionPage | ( | QWidget * | parent = 0 | ) |
| explicit

Constructor.

Parameters

  parent | the parent (wizard) of this wizard page

## ◆ ~GeneralOptionPage()

GeneralOptionPage::~GeneralOptionPage | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ apply()

void GeneralOptionPage::apply | ( |  | ) |

Reads the set values from their corresponding widgets, writes them back to the data structure, and notifies clients.

## ◆ applyClicked

void GeneralOptionPage::applyClicked | ( |  | ) |
| signal

## ◆ insertDiagram()

void GeneralOptionPage::insertDiagram | ( | const QString & | type,
|  | int | index )
| protected

Inserts `type` into the type-combobox as well as its completion object.

## ◆ insertLayoutType()

void GeneralOptionPage::insertLayoutType | ( | const QString & | type,
|  | int | index )
| protected

## ◆ setDefaults()

void GeneralOptionPage::setDefaults | ( |  | ) |

Sets default values.

## ◆ slotAutosaveCBClicked

void GeneralOptionPage::slotAutosaveCBClicked | ( |  | ) |
| protectedslot

Slot for clicked event.

## Member Data Documentation

## ◆ m_GeneralWidgets

struct GeneralOptionPage::GeneralWidgets GeneralOptionPage::m_GeneralWidgets
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/pages/generaloptionpage.h
- umbrello/dialogs/pages/generaloptionpage.cpp